# Interpretable Machine Learning with rsparkling

Presented at the 2019 Symposium on Data Science and Statistics

The [rsparkling](https://github.com/h2oai/sparkling-water/tree/master/r) R package is an extension package for [sparklyr](https://github.com/rstudio/sparklyr) (an R interface for Apache Spark) that creates an R front-end for the Sparkling Water Spark package from H2O. This provides an interface to H2O’s high performance, distributed machine learning algorithms on Spark, using R. The main purpose of this package is to provide a connector between sparklyr and H2O’s machine learning algorithms.

This [presentation](https://github.com/navdeep-G/sdss-2019/blob/master/presentation/sdss_rsparkling_mli_2019.pdf) illustrates how one can use the rsparkling package to combine innovations from several sub-disciplines of machine learning research to train explainable, fair, trustable, and accurate predictive modeling systems. Together these techniques create a new and truly human-centered type of machine learning suitable for use in business- and life-critical decision support. 

A code example showcasing methodology from this talk is available [here](https://github.com/navdeep-G/sdss-2019/blob/master/r/rsparkling_mli.R)